- entityDefinitions:
  - IDI_Task_ViewEvaluateBooleanExpressionMethod: '{f4cbbdeb-2378-4e96-8a45-f33e88de6deb}'
  - IDI_Task_EditEvaluateBooleanExpressionMethod: '{ec1f1852-c7c6-4bf0-b0d4-530ef6130dac}'
  - IDE_EvaluateBooleanExpressionMethod_View: '{0b867570-ebf7-4b75-bf20-44dd7f379337}'
  - IDE_EvaluateBooleanExpressionMethod_Edit: '{46f668b8-9133-4ea4-9bb5-5811c3788a84}'
  - IDE_EvaluateBooleanExpressionMethod_Definition: '{c81dab9f-5512-4a1a-8503-13a1a1ad727a}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewEvaluateBooleanExpressionMethod;'
    name: 'View EBE - Evaluate Boolean Expression Method'
    initiatingElement: '&IDE_EvaluateBooleanExpressionMethod_View;'
    taskCategory: '&IDI_TaskCategory_EvaluateBooleanExpressionMethod;'

  - sequenceTask: '&IDI_Task_EditEvaluateBooleanExpressionMethod;'
    name: 'Edit EBE - Evaluate Boolean Expression Method'
    initiatingElement: '&IDE_EvaluateBooleanExpressionMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_EvaluateBooleanExpressionMethod;'

  - element: '&IDE_EvaluateBooleanExpressionMethod_View;'
    name: 'view ebe'
    elementContents:
    - globalIdentifier: '{ba573dd8-77ec-45d2-8221-f114c21e6707}'
      defaultDataType: '&IDC_EvaluateBooleanExpressionMethod;'
      label: 'Method'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{9fe67154-23c9-41c6-b75a-043813452de1}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{035bdffe-fee5-4956-aef4-decae8bc313a}'
      defaultDataType: '&IDE_EvaluateBooleanExpressionMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_EvaluateBooleanExpressionMethod_Definition;'
    name: 'ebe subedit'
    label: 'Method Implementation'
    elementContents:
    - globalIdentifier: '{5c56aabd-f9bb-4682-8fc8-d6d4cab2ed64}'
      defaultDataType: '&IDR_Evaluate_Boolean_Expression_Method__has_source__Executable_returning_Work_Data;'
      label: 'Source Work Data'
      order: a
    - globalIdentifier: '{56b6a0aa-7055-4064-803a-76a6accf0010}'
      defaultDataType: '&IDR_Evaluate_Boolean_Expression_Method__uses__Boolean_Operator;'
      label: 'Operator'
      order: b
    - globalIdentifier: '{d5b7ff04-e4a7-46e5-ae9a-86cb4f68c365}'
      defaultDataType: '&IDR_Evaluate_Boolean_Expression_Method__has_target__Executable_returning_Work_Data;'
      label: 'Target Work Data'
      order: c

  - element: '&IDE_EvaluateBooleanExpressionMethod_Edit;'
    name: 'edit ebe'
    elementContents:
    - globalIdentifier: '{cda8dbb5-5c2c-4d26-96d7-33e6e535ccca}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{0c85bcbb-e660-44a9-a2cf-28622a70cfc6}'
      defaultDataType: '&IDE_EvaluateBooleanExpressionMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
